package cn.iocoder.yudao.module.erp.framework.bean;

import cn.iocoder.yudao.framework.common.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

@Getter
@AllArgsConstructor
public enum ProductTypeEnum implements IntArrayValuable {

    ITEM(1, "原料"),
    PRODUCT(2, "产品"),
    TOOL(3, "工具"),
    HAOCAI(4, "耗材"),
    BEIJIAN(5, "备件");
    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(ProductTypeEnum::getTypeId).toArray();

    /**
     * 值
     */
    private final Integer typeId;
    /**
     * 名
     */
    private final String name;

    @Override
    public int[] array() {
        return ARRAYS;
    }


}